Subject: Re: [PATCH] powerpc: Remove tlb batching hack for nighthawk

From: Anton Blanchard <[email-masked]>
Date: Mon, 24 Sep 2012 07:04:05 +1000

On Fri, 21 Sep 2012 18:08:28 +1000
Michael Ellerman <[email-masked]> wrote:

> In hpte_init_native() we call tlb_batching_enabled() to decide if we
> should setup ppc_md.flush_hash_range.
> 
> tlb_batching_enabled() checks the _unflattened_ device tree, to see
> if we are running on a nighthawk.
> 
> Since commit a223535 ("dont allow pSeries_probe to succeed without
> initialising MMU", Dec 2006), hpte_init_native() has been called from
> pSeries_probe() - at which point we have not yet unflattened the
> device tree.
> 
> This means tlb_batching_enabled() will always return true, so the hack
> has effectively been disabled since Dec 2006. Ergo, I think we can
> drop it.

Ouch. We probably had the last nighthawk in existence and we crushed it
years ago. So:

Acked-by: Anton Blanchard <[email-masked]>

Anton